public class IdealOpAmp {
  
  // Attribute
  // protected bedeutet, dass Erben der Klasse zugreifen koennen!
  protected float inputResistor;
  protected float outputResistor;
  
  // Standard-Konstruktor
  public IdealOpAmp() {
    inputResistor = 1;
    outputResistor = 1;
  }
  
  // Konstruktor
  public IdealOpAmp(float inputResistor, float outputResistor) {
    this.inputResistor = inputResistor;
    this.outputResistor = outputResistor;
  }
  
  // Ausgangsspannung berechnen
  public float computeOutput(float input) {
    return -((inputResistor / outputResistor) * input);
  }
  
  // Textkennung
  public String toString() {
    return "IdealOpAmp - RI: " + inputResistor + ", RO: " + outputResistor;
  }
  
}