public class OpAmpTest {
  
  public static void main (String[] args) {
    
    // Array fuer vier Operationsverstaerker anlegen
    IdealOpAmp[] amps = new IdealOpAmp[4];
    
    // Array initalisieren
    amps[0] = new IdealOpAmp(582.22f, 34.12f);
    amps[1] = new AdderOpAmp(111.123f, 232.54f, 321.33f);
    amps[2] = new IdealOpAmp();
    amps[3] = new AdderOpAmp();
    
    // Ausgabe
    for (int i = 0; i < amps.length; i++) {
      
      System.out.print(amps[i]); // toString() wird automatisch aufgerufen
      
      // Ist der dynamische Typ des Array-Elements "AdderOpAmp"?
      if (amps[i] instanceof AdderOpAmp) {
        // Dann TypeCast nach AdderOpAmp und AdderMode ausgeben
        System.out.print(", AdderMode: " + ((AdderOpAmp) amps[i]).adderMode());
      }
      
      System.out.println();
    }
    
		// Berechnungsbeispiel
    System.out.println("Compute UO: " + ((AdderOpAmp) amps[3]).computeOutput(12.3f, 40.7f));
    
	}
  
}